Skip to main content
PUT
/
spending_plans
/
{spending_plan_guid}
/
iterations
/
current
/
iteration_items
/
{iteration_item_guid}
Update a spending plan iteration item
curl --request PUT \
  --url https://int-data.moneydesktop.com/spending_plans/{spending_plan_guid}/iterations/current/iteration_items/{iteration_item_guid} \
  --header 'Content-Type: application/vnd.mx.nexus.v1+json' \
  --header 'MD-SESSION-TOKEN: <api-key>' \
  --data '
{
  "planned_amount": 110,
  "category_guid": "CAT-40faf068-abb4-405c-8f6a-e883ed541fff",
  "item_type": 1,
  "scheduled_payment_guid": "SCP-c731988a-712f-4f83-9b3b-0aa5b3d5208b",
  "top_level_category_guid": "CAT-9588eaad-90a4-bb5c-66c8-1812503d0db8"
}
'
{
  "iteration_item": {
    "actual_amount": 345,
    "category_guid": "CAT-40faf068-abb4-405c-8f6a-e883ed541fff",
    "created_at": "2016-10-13T18:08:00+00:00",
    "guid": "SPL-e5f9a5bd-c5b3-4901-bdc0-62119b9db262",
    "item_type": "0",
    "planned_amount": 345,
    "scheduled_payment_guid": "SCP-54bed778-6600-4262-908c-8822f141cc30",
    "spending_plan_iteration_guid": "SPI-848e6648-3fa3-4632-ac8f-e65f03167102",
    "top_level_category_guid": "CAT-50af068-abb4-405c-8f6a-e883ed541f4f",
    "transaction_guids": [
      "TRN-265abee9-889b-af6a-c69b-25157db2bdd9"
    ],
    "updated_at": "2016-10-13T18:09:00.000Z",
    "user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54"
  },
  "pagination": {
    "current_page": 1,
    "per_page": 25,
    "total_entries": 1,
    "total_pages": 1
  }
}

Authorizations

MD-SESSION-TOKEN
string
header
required

MX Session Token

  • Request an API token using the read API token endpoint in the MX SSO API.
  • Exchange an API token for a session token.
    • A session token is obtained by sending a POST request to /sessions
    • The session token will be used in each request made for the user. It should be passed in an MD-SESSION-TOKEN HTTP header as shown below.
    • This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
    • If you send a request with an expired session token you'll receive an error code of 4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'

In documentation code examples, replace <API_KEY_VALUE> with the session token.

Path Parameters

spending_plan_guid
string
required

The unique ID for the spending_plan.

iteration_item_guid
string
required

The unique ID for the iteration_item.

Body

application/vnd.mx.nexus.v1+json

Iteration item to be updated with required parameter (planned_amount)

planned_amount
number
required
Example:

110

category_guid
string
Example:

"CAT-40faf068-abb4-405c-8f6a-e883ed541fff"

item_type
number
Example:

1

scheduled_payment_guid
string
Example:

"SCP-c731988a-712f-4f83-9b3b-0aa5b3d5208b"

top_level_category_guid
string
Example:

"CAT-9588eaad-90a4-bb5c-66c8-1812503d0db8"

Response

200 - application/vnd.mx.api.v1+json

OK

iteration_item
object
pagination
object